Enable or disable the Asana integration

puthttps://api.expiryedge.com/v1/integrations/asana/toggleIntegration
editor or admin60/min
Request
curl -X PUT 'https://api.expiryedge.com/v1/integrations/asana/toggleIntegration' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "enabled": true
}'
Response
{
  "success": true,
  "enabled": true
}

Body parameters

application/json
  • enabledboolean

Returns

200
New state.
  • successboolean
    Allowedtrue
  • enabledboolean

Errors

400
The user has no organization, the provider is not connected, validation failed, or the provider API call failed.
401
Missing, expired or invalid bearer token.
403
Authenticated, but your role or organization does not allow this action.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.